let fs = require('fs');
let path = require('path');

function copyJarbConfig(targetDir) {
  let jarbConfigJsonPath = path.resolve(__dirname, '../../statics/jarb.config.json');
  let jarbConfObj = JSON.parse(fs.readFileSync(jarbConfigJsonPath, 'utf-8'));

  let jarbConfigInProject = path.resolve(targetDir, 'jarb.config.json');

  if (!fs.existsSync(jarbConfigInProject)) {
    // // write the conf to root.
    let targetFile = path.resolve(targetDir, 'jarb.config.json');
    fs.writeFileSync(targetFile, JSON.stringify(jarbConfObj, null, '\t'));
  }
}

module.exports = copyJarbConfig;