let normalizeConfigs = require('./normalizeConfigs');
let parseJsonConfig = require('./parseJsonConfig');
let parseCLIArgsConfig = require('./parseCLIArgsConfig');


// 2 ways to configure JARB
// #1 CLI
let cliFlags = parseCLIArgsConfig();

// #2 JSON
// but the JSON config contains information of all possible environments,
// we need to extract the right env
let jsonConfig = parseJsonConfig(cliFlags.mode || 'production');



module.exports = normalizeConfigs(cliFlags, jsonConfig);