let defaultConfig = require('./jarbConfigShape');

function ensureConfigShape(config) {
  // ensure no unexpected keys
  Object.keys(config).forEach((key) => {
    if (Object.keys(defaultConfig).indexOf(key) === -1) {
      throw `Invalid configuration key - ${key}`;
    }
  });

  return Object.assign({}, config);
}

module.exports = ensureConfigShape;